Bug 430650 - (CVE-2005-2096) CVE-2005-2096 zlib DoS
CVE-2005-2096 zlib DoS
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
http://nvd.nist.gov/nvd.cfm?cvename=C...
public=20050706,impact=important,sour...
: Security
Depends On: 162391 162392 164578 430785 440512 445328 449461
Blocks: 444136
  Show dependency treegraph
 
Reported: 2008-01-29 05:20 EST by Mark J. Cox (Product Security)
Modified: 2010-12-22 16:12 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-22 16:12:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark J. Cox (Product Security) 2008-01-29 05:20:08 EST
Common Vulnerabilities and Exposures assigned an identifier CVE-2005-2096 to the following vulnerability:

zlib 1.2 and later versions allows remote attackers to cause a denial of service (crash) via a crafted compressed stream with an incomplete code description of a length greater than 1, which leads to a buffer overflow, as demonstrated using a crafted PNG file.

References:

http://www.securityfocus.com/archive/1/archive/1/464745/100/0/threaded
http://www.securityfocus.com/archive/1/archive/1/482949/100/0/threaded
http://www.securityfocus.com/archive/1/archive/1/482950/100/0/threaded
http://www.securityfocus.com/archive/1/archive/1/482505/100/0/threaded
http://www.securityfocus.com/archive/1/archive/1/482503/100/0/threaded
http://www.securityfocus.com/archive/1/archive/1/482571/100/0/threaded
http://www.securityfocus.com/archive/1/archive/1/482601/100/0/threaded
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=162391
http://support.avaya.com/elmodocs2/security/ASA-2006-016.htm
http://www.vmware.com/support/vi3/doc/esx-3616065-patch.html
http://www.vmware.com/support/vi3/doc/esx-9916286-patch.html
http://lists.apple.com/archives/security-announce/2005/Aug/msg00000.html
http://lists.apple.com/archives/security-announce/2005//Aug/msg00001.html
http://www.debian.org/security/2005/dsa-740
http://www.debian.org/security/2005/dsa-797
http://www.debian.org/security/2006/dsa-1026
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=162680
ftp://ftp.freebsd.org/pub/FreeBSD/CERT/advisories/FreeBSD-SA-05:16.zlib.asc
http://security.gentoo.org/glsa/glsa-200507-05.xml
http://www.gentoo.org/security/en/glsa/glsa-200509-18.xml
http://www.securityfocus.com/archive/1/archive/1/421411/100/0/threaded
http://www.securityfocus.com/archive/1/archive/1/421411/100/0/threaded
http://www.mandriva.com/security/advisories?name=MDKSA-2005:112
http://www.mandriva.com/security/advisories?name=MDKSA-2005:196
http://www.mandriva.com/security/advisories?name=MDKSA-2006:070
http://www.redhat.com/support/errata/RHSA-2005-569.html
ftp://ftp.sco.com/pub/updates/OpenServer/SCOSA-2006.6/SCOSA-2006.6.txt
http://sunsolve.sun.com/search/document.do?assetkey=1-26-101989-1
http://www.ubuntulinux.org/support/documentation/usn/usn-148-1
http://www.ubuntulinux.org/usn/usn-151-3
http://www.kb.cert.org/vuls/id/680620
http://www.securityfocus.com/bid/14162
http://www.frsirt.com/english/advisories/2005/0978
http://www.frsirt.com/english/advisories/2006/0144
http://www.frsirt.com/english/advisories/2007/1267
http://oval.mitre.org/repository/data/getDef?id=oval:org.mitre.oval:def:1262
http://oval.mitre.org/repository/data/getDef?id=oval:org.mitre.oval:def:1542
http://securitytracker.com/id?1014398
http://secunia.com/advisories/15949
http://secunia.com/advisories/18406
http://secunia.com/advisories/18377
http://secunia.com/advisories/17054
http://secunia.com/advisories/17225
http://secunia.com/advisories/17236
http://secunia.com/advisories/17326
http://secunia.com/advisories/17516
http://secunia.com/advisories/19550
http://secunia.com/advisories/18507
http://secunia.com/advisories/19597
http://secunia.com/advisories/24788
http://xforce.iss.net/xforce/xfdb/24064
Comment 3 Vincent Danen 2010-12-21 21:36:17 EST
This was addressed via:

Red Hat Enterprise Linux version 4 (RHSA-2005:569)
Red Hat Network Satellite Server 5.0 (RHEL v.4 AS) (RHSA-2008:0264)
Red Hat Network Satellite Server v 4.2 (RHEL v.3 AS) (RHSA-2008:0525)
Red Hat Network Satellite Server v 4.2 (RHEL v.4 AS) (RHSA-2008:0525)
Red Hat Network Satellite Server 5.1 (RHEL v.4 AS) (RHSA-2008:0629)

Note You need to log in before you can comment on or make changes to this bug.